{ config, lib, pkgs, ... }:

let cfg = config.sydnix.dank-material-shell;
in {
  options.sydnix.dank-material-shell = {
    enable = lib.mkEnableOption "Dank Material Shell";
  };

  config = lib.mkIf cfg.enable {
    programs.dms-shell = {
      enable = true;
      enableDynamicTheming = false;
    };

    services.displayManager.dms-greeter = {
      enable = true;
      compositor.name = assert config.sydnix.niri.enable; "niri";
      configHome = "/home/msyds"; # Really stupid.
    };
  };
}
